	var accion = document.editarFichaForm.accion.value;	

$( document ).ready(function() {

	/******************************* PESTAÑAS***************************************/

	$("#generalFicha").rup_tabs({
		tabs : [
		        {i18nCaption:$.rup.i18n.app.partes.datosGenerales, layer:"#tabContenidoGeneral"},
		        {i18nCaption:$.rup.i18n.app.partes.tecnicos, url:"../tecnicos/tecnicosDelaFicha"}
	    ],
	    cache:false,
	    select: function(){
	    	if ($("#generalFicha").tabs('option', 'selected')==1){
	    		//Ha pinchado en la pestaña Datos Generales. ReCargar los datos de Ejecucion por si los ha modificado en la pestaña de Técnicos.
	    		$.ajax({
	    			type: "POST",
	    			url: "../ficha/obtenerDatosEjecucion",
	    			  data:  { idficha:$("#idficha").val()},
	    			success: function(data){
	    				if(data.ejecutado==1){
	    					$("#ejecutado").prop('checked', true);
	    				}else{
	    					$("#ejecutado").prop('checked', false);
	    				}
	    				$("#tiemporeal").attr('disabled',false);
	    				$("#tiemporeal").val(data.tiemporeal);
	    				$("#feejec").attr('disabled',false);
	    				$("#feejec").val(data.feejec);
	    			},
	    			  dataType: "json"
	    			});
	    	}
			}	    
	});
	
    $("#feejec").rup_date ();	
    if ($("#feejec").val()!=""){
        var fechaEjec =  new Date($("#feejec").val().substring(0,10).replace("-","/").replace("-","/"));
        $("#feejec").rup_date("setDate", fechaEjec);
    }
    $("#feejec").rup_date("disable");

	$("#GRID_fichaActuaciones").rup_grid({
		width: 865,
		hasMaint:true,
		url: "../actuacion/gridActuacionesFicha",
		pagerName: "pagerFichaActuaciones",
		rowNum: "30",
		sortorder: "asc",
		sortname: "nroorden",
		//ondblClickRow : fncDetalleActuacion,
		colNames: [
		    "idactuacion",
		    $.rup.i18n.app.mensajesActuacion.numActuacion,
		    $.rup.i18n.app.mensajesActuacion.periodo,
		    $.rup.i18n.app.mensajesActuacion.feprevista,
		    $.rup.i18n.app.mensajesActuacion.descripcion,
		    $.rup.i18n.app.mensajesActuacion.parteAsoc
		],
		colModel: [
			{ name: "idactuacion",
				label: "idactuacion",
				index: "idactuacion",
				width: "15",
				hidden: true,
				editable: false,
				edittype: "text"
			},
			{ name: "act" ,
				label: "act" ,
				index: "nroorden" ,
				width: "50",
				editable: false,
				edittype: "text"
			},
			{ name: "cuestionario.semanas" ,
				label: "cuestionario.semanas" ,
				index: "cuestionario.semanas" ,
				width: "10",
				editable: false,
				edittype: "text",
				align: "center"
			},
			{ name: "feprevista",
				label: "feprevista",
				index: "feprevista",
				width: "15",
				editable: false,
				edittype: "text"
			},
			{ name: "descripcion",
				label: "descripcion",
				index: "descripcion",
				width: "50",
				editable: false,
				edittype: "text"
			},
			{ name: "idparte",
				label: $.rup.i18n.app.mensajesActuacion.crearAbrir,
				index: "idparte",
				width: "15",
				editable: false,
				edittype: "text",
				align: "center",
				 formatter :
		            	masiveIconFormatter = function(cellval, el, opts) 
		            	{
		            	
				    		var html = '';
				    		var src = '';
				    		if (cellval && cellval != 0){
				    			src=$.rup.APP_STATICS + "/images/ver_detalle.gif";
				    			html = cellval + '<img width="15" height="15" src='+src+' style="text-align:center;cursor:pointer" id="idImp-'+el.rowId+'"  title="'+$.rup.i18n.app.mensajesActuacion.abrirPC+'" onclick="abrirParteCorrectivo(\''+cellval+'\');">';
				    		}else{
				    			src=$.rup.APP_STATICS + "/images/nuevo.gif";
				    			html = '<img width="15" height="15" src='+src+' style="text-align:center;cursor:pointer" id="idImp-'+el.rowId+'"  title="'+$.rup.i18n.app.mensajesActuacion.crearPC+'" onclick="crearCorrectivo(\''+el.rowId+'\');">';
				            }

		                	return html;
		            	}
			}
        ]
		
	});
	$("#fichaActuaciones").rup_maint({
		jQueryGrid: "GRID_fichaActuaciones",
		primaryKey: "idactuacion",
		modelObject: "Actuacion",
		detailButtons: $.rup.maint.detailButtons.SAVE,
		searchForm: "searchForm",
		showMessages: true,
		toolbar:{
			createDefaultToolButtons:false,
			newButtons: [
					{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.editar,
						css: "rup-maint_edit"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncDetalleActuacion
					},
					{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.eliminar,
						css: "rup-maint_delete"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncEliminarActuacion
					}
					]
			}
	});

	$("#GRID_fichaActuaciones").unbind("dblclick");
	$("#GRID_fichaActuaciones").dblclick(fncDetalleActuacion);

	$("#bt_modificar").bind("click", confirmarModificar);

});	  


/**********************************************************************************/
/**************************** PARTE CORRECTIVO ******************************/
/**********************************************************************************/

function crearCorrectivo(idparte){
	$("#GRID_fichaActuaciones").setSelection(idparte,true);
	
	var ventanaDialogoNuevoParteCorr = $("#dialogoNuevoParteCorr").rup_dialog({
		type: jQuery.rup.dialog.DIV,
		autoOpen: false,
		id:"detalleNuevoParteCorr",
		modal: true,
		resizable: false,
		minWidth: 880,
		showLoading:true,
		title: $.rup.i18n.app.nuevo.Actuacion,
		close: function(event, ui) { $("#GRID_fichaActuaciones").rup_grid("reloadGrid"); }		
	});
	
	 var id= $("#GRID_fichaActuaciones").rup_grid('getGridParam','selrow');
	 //alert(id);
	 var ret = $("#GRID_fichaActuaciones").rup_grid('getRowData',id); 
	 var idActuacion =ret.idactuacion;	 

	 var ventanaIFrame ="../ficha/crearParteCorrectivo?idmaquina_PC="+$("#idmaquina_PC").val()+"&idActuacion_PC="+idActuacion;

	  document.getElementById("iframeNuevoParteCorr").src = ventanaIFrame;
		$("#dialogoNuevoParteCorr").rup_dialog("open");
	
	  $("#iframeNuevoParteCorr").load(function (){ ;});

	return false;

}


/**********************************************************************************/
/********************************** ACTUACIONES ***********************************/
/**********************************************************************************/

/* DIALOGO DETALLE */


function fncDetalleActuacion() {
	
		var ventanaDialogoDetalleActuacion = $("#dialogoEditarActuacion").rup_dialog({
			type: jQuery.rup.dialog.DIV,
			autoOpen: false,
			id:"detalleActuacion",
			modal: true,
			resizable: false,
			minWidth: 880,
			showLoading:true,
			title: $.rup.i18n.app.nuevo.actuacion,
			close: function(event, ui) { $("#GRID_fichaActuaciones").rup_grid("reloadGrid"); }		
		});
		
		 var id= $("#GRID_fichaActuaciones").rup_grid('getGridParam','selrow');
		 //alert(id);
		 var ret = $("#GRID_fichaActuaciones").rup_grid('getRowData',id); 
		 var idActuacion =ret.idactuacion;	 
		 var ventanaIFrame ="../actuacion/modificar?idActuacion="+idActuacion;
	
		  document.getElementById("iframeEditarActuacion").src = ventanaIFrame;
			$("#dialogoEditarActuacion").rup_dialog("open");
		
		  $("#iframeEditarActuacion").load(function (){ ;});
	
		return false;
	}
	
/* FIN DIALOGO DETALLE */

function abrirParteCorrectivo(idparteCorr){
	buscaParteForm.idparte.value = idparteCorr;
	buscaParteForm.submit();
}


function fncEliminarActuacion(){
	
	var id= $("#GRID_fichaActuaciones").rup_grid('getGridParam','selrow');
	 var ret = $("#GRID_fichaActuaciones").rup_grid('getRowData',id); 
	 var idParte =ret.idparte;	
	 idParte=idParte.substr(0,idParte.indexOf("<img"));
	 
	if (idParte!=""){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.eliminar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"mensajesActuacion.deseaEliminarConCorrectivo"),
			OKFunction: function(){				
				eliminarActuacion(idParte);
			},
			CANCELFunction : function(){
			}
			});
	}else{
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.eliminar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"mensajesActuacion.deseaEliminar"),
			OKFunction: function(){				
				eliminarActuacion(null);
			},
			CANCELFunction : function(){
			}
			});
	}
}

function eliminarActuacion (idParte) {
			
		// Eliminar el registro seleccionado.
		 var id= $("#GRID_fichaActuaciones").rup_grid('getGridParam','selrow');
		 //alert(id);
		 var ret = $("#GRID_fichaActuaciones").rup_grid('getRowData',id); 
		 var idActuacion =ret.idactuacion;	 
			 if (idParte==null){
				 idParte=0;
			 }
		$.ajax({
			  type: "DELETE",	
			 // data: {idActuacion:idActuacion, idParte:idParte},
			  url: "../actuacion/eliminarActuacion/"+idActuacion+"/"+idParte,
			  error: function(data) {
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorEliminar + "</strong></p>");
				 },
			  success: function(data4){
					  	mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.eliminadook + "</strong></p>");
					  	$("#GRID_fichaActuaciones").rup_grid("reloadGrid");
				 },
			  dataType: "json"
			});

}

$("#bt_imprimir").bind("click", imprimir);

function imprimir() {
	 var idFicha = $("#idficha").val();
	 var idMaquina = $("#idmaquina").val();
	 //Se envia el formulario con el idmaquina y el idficha
	 $("#filtroFichasForm").attr("target","_blank");
		
	 $("#idfichaImpFicha").val(idFicha);
	 $("#idmaquinaImpFicha").val(idMaquina);
	 
	 //filtroFichasForm.idmaquina.value = idMaquina;
	 //filtroFichasForm.idficha.value = idFicha;
	 $("#filtroFichasForm").submit();

}


/**********************************************************************************/
/****************************** FIN FICHAS *********************************/
/**********************************************************************************/

/********************************* BOTON VOLVER  ****************************************************************/

	$("#bt_Volver").bind("click", volver);

function volver() {
	if ($("#ventanaOrigenFicha").val()=="PlanificacionGeneral"){
		window.location = "/aa20bMaqPartesWar/maquinas/planGeneralVolver";	
	}else if($("#ventanaOrigenFicha").val()=="prevPendAsignar"){
		window.location = "/aa20bMaqPartesWar/ficha/prevPendAsignarVolver";	
	}else if($("#ventanaOrigenFicha").val()=="prevAsigPendEjec"){
		window.location = "/aa20bMaqPartesWar/ficha/prevAsigPendEjecutarVolver";	
	}else if($("#ventanaOrigenFicha").val()=="actAnual"){
		window.location = "/aa20bMaqPartesWar/maquinas/actAnualVolver";
	}else if($("#ventanaOrigenFicha").val()=="mantFichas"){
		window.location = "/aa20bMaqPartesWar/ficha/maintVolver";
	}else if($("#ventanaOrigenFicha").val()=="Agenda"){
		window.location = "/aa20bMaqPartesWar/agenda/inicioAgenda?fechaAgenda="+$("#fechaAgendaStr").val();
	}else{
		var idMaquina =$("#idmaquina").val();
	    // enviamos el form alternativo con el idMaquina para la busqueda
		buscaMaquinaForm.idMaquinaBusc.value = idMaquina;
		buscaMaquinaForm.submit();
	}
}



/********************************* FIN VOLVER  ****************************************************************/


/********************************* BOTON MODIFICAR ************************************************************/

function confirmarModificar (){

	$.rup_messages("msgConfirm", {
		title: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.modificar"),			
		message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
		OKFunction: function(){				
			modificarFicha();
		},
		CANCELFunction : function(){
		}
		});
}

function modificarFicha () {
	
	//Solo se puede modificar el campo observaciones
	var properties={
			url:"../ficha/modificarObservacionesFicha",
			feedback:$("#feedbackEditarFicha"),
			useJsonIfPossible: true,
			 beforeSend : function(data) {
					//Mostrar div de sincronizando
				  $("#dialogoGuardar").rup_dialog(
							{
								type : $.rup.dialog.DIV,
								height : 200,
								width : 500,
								modal : true,
								showLoading : true,
								autoOpen : false,
								title : $.rup.i18n.app.mensajesEdificios.guardando
							});
					$("#dialogoGuardar").rup_dialog("open");
			  },
			 error: function(data) {
				 $("#dialogoGuardar").rup_dialog("close");
				  	$("#dialogoGuardar").rup_dialog("destroy");
				 alert(data.responseText);
				 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errormodificar + "</strong></p>");
			 },
			 success: function(){		
				 $("#dialogoGuardar").rup_dialog("close");
				  	$("#dialogoGuardar").rup_dialog("destroy");
				 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.guardadook + "</strong></p>");
				 enviarObservacionesFicha($("#idficha").val(),$("#observaciones").val());
			 }
			};
			$("#editarFichaForm").rup_form(properties);
			
			$("#editarFichaForm").submit();
		
}


/********************************* FIN MODIFICAR  ****************************************************************/


/********************************* FEEDBACK MENSAJES OK  ****************************************************************/

function mensajeInfo (texto) {
	 var properties = {
				type: "ok",
				fadeSpeed: 600,
				gotoTop: false,
				block: false,
				closeLink: false
			};
	
		$("#feedbackEditarFicha").rup_feedback (properties);

		$("#feedbackEditarFicha").rup_feedback("set", texto);

		$("#feedbackEditarFicha").rup_feedback("show");
}

function mensajeError (texto) {
	 var properties = {
				type: "error",
				fadeSpeed: 600,
				gotoTop: false,
				block: false,
				closeLink: false
			};

		$("#feedbackEditarFicha").rup_feedback (properties);

		$("#feedbackEditarFicha").rup_feedback("set", texto);

		$("#feedbackEditarFicha").rup_feedback("show");
}

/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/


// Esto es necesario para que salgan los mensajes de validacion de uda
jQuery("#feedbackEditarFicha").rup_feedback({
	  type: "ok",                  
	  closeLink: true,                  
	  delay: 1000,                  
	  fadeSpeed: 500,                  
	  block:false          
	  }); 



function enviarObservacionesFicha(idficha,obs){
	$.ajax({
		  type: "POST",
		  url: "../procesosGmao/enviarObservacionesPartePreventivo",
		  data:  { idFicha:idficha, observ:obs},
		  success: function(data){
			
		  	},
			 error: function(data){
				 alert( "Error actualizando observaciones ficha en movilgmao" );
			 },
		  dataType: "json"
		});

}